#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name:       kremotecontrol
Summary:    KDE Frontend for the LIRC Suite
Version: 4.10.5
Release:    %mkrel %{rel}
Group:      Communications/Serial
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://www.kde.org/applications/utilities/kremotecontrol/
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kdebase4-workspace-devel >= 2:%version
BuildRequires: pkgconfig(xtst)
Requires:  kdebase4-runtime
Conflicts: kdeutils4-core < 4.5.72
Suggests:  kremotecontrol-handbook

%description
KRemoteControl is a KDE frontend for the Linux Infrared Remote Control system
(LIRC).
It consist of two parts: a systemtray applet and a configuration module.

%files
%_kde_bindir/krcdnotifieritem
%_kde_libdir/kde4/kcm_remotecontrol.so
%_kde_libdir/kde4/kded_kremotecontroldaemon.so
%_kde_libdir/kde4/plasma_engine_kremoteconrol.so
%_kde_libdir/kde4/kremotecontrol_lirc.so
%_kde_services/kremotecontrolbackends/kremotecontrol_lirc.desktop
%_kde_servicetypes/kremotecontrolmanager.desktop
%_kde_applicationsdir/krcdnotifieritem.desktop
%_kde_appsdir/kremotecontrol/
%_kde_appsdir/kremotecontroldaemon/
%_kde_iconsdir/*/*/actions/krcd_flash.*
%_kde_iconsdir/*/*/actions/krcd_off.*
%_kde_iconsdir/*/*/apps/krcd.*
%_kde_iconsdir/*/*/devices/infrared-remote.*
%_kde_services/kcm_remotecontrol.desktop
%_kde_services/kded/kremotecontroldaemon.desktop
%_kde_services/plasma-engine-kremotecontrol.desktop

#------------------------------------------------------------------------------

%package -n kremotecontrol-handbook
Summary: kremotecontrol Handbook
Conflicts: kremotecontrol < 4.7.1
BuildArch: noarch
Group: Documentation
%description -n kremotecontrol-handbook
KRemoteControl is a KDE frontend for the Linux Infrared Remote Control system
(LIRC). It consist of two parts: a systemtray applet and a configuration module.

This package provides kremotecontrol handbook.

%files -n kremotecontrol-handbook
%doc AUTHORS ChangeLog COPYING COPYING.LIB README TODO
%docdir %_kde_docdir
%_kde_docdir/HTML/en/kcontrol/kremotecontrol/

#------------------------------------------------------------------------------

%define kremotecontrol_major 1
%define libkremotecontrol %mklibname kremotecontrol %{kremotecontrol_major}
%define oldlibkremotecontrol  %mklibname libkremotecontrol 1

%package -n %libkremotecontrol
Summary: Runtime library for kremotecontrol
Group: System/Libraries
Obsoletes: %oldlibkremotecontrol < 4.7.90

%description -n %libkremotecontrol
KRemoteControl is a KDE frontend for the Linux Infrared Remote Control system
(LIRC). It consist of two parts: a systemtray applet and a configuration module.

This package provides the runtime library for kremotecontrol.

%files -n %libkremotecontrol
%_kde_libdir/liblibkremotecontrol.so.%{kremotecontrol_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kdelibs4-devel >= 2:%{version}
Requires: %libkremotecontrol = %version-%release
Conflicts: kdeutils4-devel < 4.7.90
%description devel
KRemoteControl is a KDE frontend for the Linux Infrared Remote Control system
(LIRC). It consist of two parts: a systemtray applet and a configuration module.

This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kde_libdir/liblibkremotecontrol.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 4.10.5-1.1.mga3
+ Revision: 450668
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407281
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401911
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394444
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339546
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334606
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Add pkgconfig(xtst) as BR

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326807
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320326
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316202
- Update tarball to KDE SC 4.9.3
- Fix group following malo's suggestion

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301978
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289782
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277085
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269697
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266245
- New version 4.8.95
- Remove trailing space

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257267
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228447
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221494
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198350
- Updating tarball to KDE 4.8.0
- Drop patch0 (merged upstream)

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191532
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186273
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181476
- imported package kremotecontrol

